C                                                            <HTML><PRE>
C     INCLUDE 'pointc.inc'
C     ------------------------------------------------------------------
      INTEGER MYI
      PARAMETER (MYI=29)
      INTEGER ISRC,IWAVE,IRAY,IPT,NYF,ICB1F,ISRFF,NY,ICB1,ISRF
      INTEGER ICB1I,IEND,ISHEET,IREC
      REAL XF,YLF(6),YF(39),X,YL(6),Y(39),YLI(6),YI(MYI)
      COMMON/POINTC/ISRC,IWAVE,IRAY,IPT, NYF,ICB1F,ISRFF,XF,YLF,YF,
     *              NY,ICB1,ISRF,X,YL,Y, ICB1I,IEND,ISHEET,IREC,YLI,YI
      SAVE /POINTC/
C     ------------------------------------------------------------------
C     ISRC... Index of the source.  The sources are indexed by positive
C             integers, see input file <A HREF="init.for#SRC">SRC</A>.
C     IWAVE...Index of the elementary wave (output of the subroutine
C             CODE1).  Elementary waves are indexed by 1,2,3,... .
C             IWAVE=0 if the end of the input file is encountered.
C     IRAY... Index of the ray (output of the subroutine RPAR2).  Rays
C             within each elementary wave are indexed by 1,2,3,... .
C             Note that some of the indexed rays need not exist.
C             IRAY=0 if the end of the input file is encountered.
C     IPT...  Index of the point on a ray.  The points O/S are indexed
C             sequentially along each ray, taking the values 1,2,3,...
C             If the point is the first considered point of a new
C             elementary wave, IPT=0 instead of 1.
C     NYF,ICB1F,ISRFF,YLF,YF... Quantities at the point O/F.  They need
C             not be defined (option in the subroutine AP00).  Their
C             meaning is the same as of NY,ICB1,ISRF,YL,Y below.
C             NYF=0... Indication that these quantities are not defined,
C               i.e. that the point O/F has not been defined.
C     NY,ICB1,ISRF,YL,Y... Quantities at the point O/S.
C             The detailed description of the quantities YL and Y may be
C             found in the file 'ray.for'.  A brief description follows:
C     NY=IY(1)=27+NAMPL... Number of the basic quantities describing the
C             point of the ray, see the file 'ray.for'.
C     ICB1=IY(5)... Index of the complex block in which the stored point
C             of the ray is situated, supplemented by a sign '+' for P
C             wave and sign '-' for S wave.
C     ISRF=IY(6)... Index of the surface at which the endpoint of the
C             computed element of the ray is situated, supplemented by
C             a sign '+' or '-' for the endpoint situated at the
C             positive or negative side of the surface, respectively.
C             Zero inside the complex block.  Note: The sign of this
C             quantity is the exception to the definition in the
C             original paper on C.R.T.
C     YL...   Array containing local quantities at the point of the ray
C             (C.R.T.5.5.4).
C             <A HREF="ray.for#YL">Description of YL</A>
C     Y...    Array containing basic quantities computed along the ray
C             (C.R.T.5.2.1).
C             <A HREF="ray.for#Y">Description of Y</A>
C     ICB1I,YLI,YI... Quantities at the initial point O/O of the ray:
C     ICB1I...Index of the complex block in which the initial point of
C             the ray is situated, supplemented by a sign '+' for P wave
C             and sign '-' for S wave (see C.R.T.6.1).
C     IEND... Reason of the termination of the computation of a ray (see
C             C.R.T.5.4).  For a detailed description see subroutines
C             RAY2 (file 'ray.for') and INIT2 (file 'init.for').
C     ISHEET..Ray-history index.  The different ray histories are
C             consecutively indexed by positive integers 1,2,3,...
C             according to their appearance during ray tracing.
C             The ray histories are indexed independently within each
C             elementary wave.  The indices are the output of subroutine
C             RPAR4 of the file 'rpar.for'.
C             The ray-history indices are complemented with sign:
C             positive - successful ray (crossing reference surface),
C             negative - unsuccessful ray (terminating before crossing
C             reference surface).
C     IREC... Index of the receiver for a two-point ray,
C             0 for basic ray,
C             -1 for other rays (e.g., auxialiary or boundary rays).
C     YLI...  Array containing the values of the quantities YL(1)-YL(6),
C             see C.R.T.5.5.4, describing the local properties of the
C             model at the initial point of the ray.  See the list of
C             YL(1) to YL(6) in the file 'ray.for'.
C             <A HREF="ray.for#YL">Description of YL</A>
C     YI...   Array containing the quantities describing the properties
C             of the rays and of the travel-time field at the initial
C             point of the ray, see C.R.T.6.1.  These quantities are
C             listed in the file 'initc.inc'.
C             <A HREF="initc.inc#YI">Description of YI</A>
C
C     The storage locations of the common block /POINTC/ are defined and
C     redefined in the external procedure AP00 of file 'ap.for'.
C     The quantities describing another point along a ray can be stored
C     into the common block /POINTC/ by another invocation of the
C     subroutine AP00.
C
C     Common block /POINTC/ is included in FORTRAN 77 source code files
C     'ap.for', 'apvar.for', 'crt2p.for', 'crtout.for', 'crtpts.for',
C     'crtray.for', 'invtt.for',  and may also be included in any user's
C     subroutine processing the results of the complete ray tracing
C     program.
C
C Date: 2001, January 18
C Coded by Ludek Klimes
C
C=======================================================================
C                                                                 </PRE>
